﻿using System;
using System.Windows.Forms;

namespace RegexEditor
{
	/// <summary>
	/// A <see cref="FlowLayoutPanel"/> with mouse scrolling enabled.
	/// </summary>
	public class ScrollableFlowLayoutPanel : FlowLayoutPanel
	{
		#region Protected Members

		protected override void OnMouseEnter(EventArgs e)
		{
			Focus();
			base.OnMouseEnter(e);
		}

		#endregion
	}
}
